
//#property indicator_chart_window
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 DodgerBlue
#property indicator_color2 Red

extern string Symb="EURUSD";

int Bar, BarsNum, Digit;
int i, CountedBars=0;
double High_1, Low_1, High_2, Low_2, scale;

double Buffer1[];
double Buffer2[];

//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(2); 
   SetIndexStyle(0, DRAW_LINE);
   SetIndexShift(0,0);
   
//   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexShift(1,0);
 //  IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS));

  
   IndicatorShortName("");
   SetIndexBuffer(0,Buffer1);
   SetIndexBuffer(1,Buffer2);   
   
   return(0);
  }
//+------------------------------------------------------------------+
int deinit()
  {
   for (int i = 0; i<Bars; i++) ObjectDelete("Buffer2_" + i);
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
/*  
     CountedBars=IndicatorCounted();
//---- check for possible errors
   if (CountedBars<0) return(-1);
//---- last counted bar will be recounted
   if (CountedBars>0) CountedBars--;
*/   
   BarsNum = WindowFirstVisibleBar();
   Bar = iHighest(NULL,0,MODE_HIGH,BarsNum,0);
   High_1 = High[Bar];
   Bar = iLowest(NULL,0,MODE_LOW,BarsNum,0);
   Low_1  = Low[Bar];
   
   Bar = iHighest(Symb,0,MODE_HIGH,BarsNum,0);
   High_2 = iHigh(Symb,0,Bar);
   Bar = iLowest(Symb,0,MODE_LOW,BarsNum,0);
   Low_2 = iLow(Symb,0,Bar);
   
//   Comment("High Win=", High_1, "Low Win=", Low_1, " Bars=", Bars, " BarsNum=", BarsNum, " WpBC=", WindowBarsPerChart());
   
   Bar = iHighest(Symb,0,MODE_HIGH,BarsNum,0);
   High_2   = iHigh(Symb,0,Bar);
   Bar = iLowest(Symb,0,MODE_LOW,BarsNum,0);
   Low_2   = iLow(Symb,0,Bar);
   
   scale = (High_1-Low_1)/(High_2-Low_2);

   Digit = MarketInfo(Symb,MODE_DIGITS);

   i = Bars - CountedBars - 1; 
   while(i >= 0)
      {
      Buffer2[i] = (iClose(Symb,0,i)  - Low_2) * scale + Low_1;   
      Buffer1[i] = MathAbs((Buffer2[i] - Close[i]));      
      
      string name = "Buffer2_" + i;
      if(ObjectFind(name)==-1)
         ObjectCreate(name,OBJ_TREND,0,Time[i],Buffer2[i],Time[i+1],Buffer2[i+1]);
         ObjectSet(name,OBJPROP_COLOR,Gold);
         ObjectSet(name,OBJPROP_RAY,false);
      
      i--;                          
     }
      
   return(0);
  } 